Skip to main content
POST
/
rules
/
apply
Apply rules to existing transactions
curl --request POST \
  --url https://api.breezing.io/v1/rules/apply \
  --header 'Content-Type: application/json' \
  --data '
{
  "ids": [
    1
  ]
}
'
{
  "success": true,
  "data": {
    "taskId": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://learn.breezing.io/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

org_id
string
required

Organization ID. Use GET /v1/companies to discover available org/company pairs.

Example:

"1"

company_id
string
required

Company ID. Use GET /v1/companies to discover available companies and their access levels.

Example:

"1"

Body

application/json
ids
integer[]
required

Rule IDs to apply (max 100). Each must belong to this company.

Required array length: 1 - 100 elements
Required range: x > 0

Response

Apply job enqueued successfully

success
enum<boolean>
required
Available options:
true
data
object
required
Last modified on May 3, 2026